#ifndef KFILEITEM_H
#define KFILEITEM_H

#include "dummy.h"
#include <kurl.h>
#include <kmimetype.h>
#include <QtGui/QPixmap>
#include <sys/types.h>

namespace KIO {
    class UDSEntry {
    };
}

class KFileItem {
public:
    enum FileTimes {
        // warning: don't change without looking at the Private class
        ModificationTime = 0,
        AccessTime = 1,
        CreationTime = 2
        //ChangeTime
    };
    KFileItem() {
        NOT_IMPLEMENTED_MESSAGE
    }
    KFileItem(const KIO::UDSEntry&, const KUrl&, bool = false, bool = false ) {
        NOT_IMPLEMENTED_MESSAGE
    }
    KFileItem(mode_t, mode_t, const KUrl&, bool = false ) {
        NOT_IMPLEMENTED_MESSAGE
    }
    KFileItem( const KUrl &, const QString &, mode_t) {
        NOT_IMPLEMENTED_MESSAGE
    }
    KFileItem(const KFileItem&) {
        NOT_IMPLEMENTED_MESSAGE
    }
    mode_t permissions() const {
        NOT_IMPLEMENTED_MESSAGE
        return 0;
    }
    KUrl url() const {
        NOT_IMPLEMENTED_MESSAGE
        return KUrl();
    }
    enum { Unknown = (mode_t) - 1 };
    bool isWritable() const {
        NOT_IMPLEMENTED_MESSAGE
        return false;
    }
    QPixmap pixmap( int , int=0) const {
        NOT_IMPLEMENTED_MESSAGE
        return QPixmap();
    }
    bool isNull() const {
        NOT_IMPLEMENTED_MESSAGE
        return false;
    }
    QString timeString( FileTimes = ModificationTime ) const {
        NOT_IMPLEMENTED_MESSAGE
        return QString();
    }
};

class KFileItemList : public QList<KFileItem> {
};

#endif
